Bug 62723 - nsgmls does not support remote references &c
Summary: nsgmls does not support remote references &c
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openjade (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-04 22:16 UTC by sds
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-05 20:44:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description sds 2002-04-04 22:16:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
I get this:
nsgmls:URL not supported by this version
when I try to include a remote system entiry in a Docbook/XML document

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
  <!ENTITY gfdl-text SYSTEM "http://www.gnu.org/licenses/fdl.sgml">

%gfdl-text;

Actual Results:  nsgmls:URL not supported by this version

Expected Results:  the text of GFDL is included in the docunent

Additional info:

Comment 1 Tim Waugh 2002-04-05 07:32:43 UTC
I turned on HTTP support in openjade a while back in rawhide.

Comment 2 sds 2002-04-05 20:44:07 UTC
thanks - but there are more problems still!

nsgmls:/etc/sgml/xml-docbook-4.1.cat:3:8:E: cannot open
"/usr/share/sgml/openjade-1.3/catalog" (No such file or directory)
(you have to fix /etc/sgml/xml-docbook-4.1.cat to point 1.3.1)

Also, the fact that such important files like xml.soc are located under
version-specific directory (/usr/share/doc/openjade-1.3.1) makes me edit a
makefile after each upgrade.  very ugly.

Also, /etc/sgml/xml-docbook-4.1.2-1.0-8.cat should be xml-docbook-4.1.2.cat

Comment 3 Tim Waugh 2002-04-05 21:38:28 UTC
I think you'll need to upgrade several packages to those in rawhide to get
openjade 1.3.1 working.

Comment 4 Tim Waugh 2002-04-05 21:38:52 UTC
(Better yet, try the beta release of the distribution..)


Note You need to log in before you can comment on or make changes to this bug.